## gnome-shell 3.28.1

=== meson_options.txt ===
option('browser_plugin',
  type: 'boolean',
  value: true,
  description: 'Enable extensions.gnome.org browser plugin'
)

option('gtk_doc',
  type: 'boolean',
  value: false,
  description: 'Build API reference'
)

option('man',
  type: 'boolean',
  value: true,
  description: 'Generate man pages'
)

option('networkmanager',
  type: 'boolean',
  value: true,
  description: 'Enable NetworkManager support'
)

option('systemd',
  type: 'boolean',
  value: true,
  description: 'Enable systemd integration'
)

## gnome-shell 2.31.5

=== debian/changelog ===
gnome-shell (2.31.5-2ubuntu2) maverick; urgency=low

  * Fix gnome-shell to set LD_LIBRARY_PATH so that libmozjs can be found;
    Don't use pkg-config, use xulrunner-1.9.2 to figure out the path to
    libmozjs (LP: #576991) (LP: #629828)
    - update debian/patches/04_workaround_libmozjs_build.patch
  * Drop binary depends on pkg-config and replace with xulrunner-1.9.2;
    xulrunner-1.9.2 is already pulled in by the depends in any case, but
    now it's needed directly by gnome-shell
    - update debian/control.in
 
 -- Micah Gersten <micahg@ubuntu.com>  Sat, 04 Sep 2010 21:00:09 -0500

gnome-shell (2.31.5-2ubuntu1) maverick; urgency=low

  * Merge from debian experimental. Remaining changes:
    - debian/patches/04_workaround_libmozjs_build.patch:
      + workaround build issues due to libmozjs not being installed as a lib
  * Drop debian/patches/01_favorite_apps.diff: Keep firefox as default browser

 -- Laurent Bigonville <bigon@ubuntu.com>  Mon, 16 Aug 2010 21:24:15 +0200

gnome-shell (2.31.5-2) experimental; urgency=low

  * debian/control:
  - depend and build-depend on gir1.0-glib-2.0 (>= 0.6.15~git20100713)
  - also depend on gjs, because the clock preferences uses gjs-console for
    some reason

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 28 Jul 2010 11:45:06 +0200

gnome-shell (2.31.5-1) experimental; urgency=low

  * New development release.
  - depend on mutter 2.31.5
  - refresh patches
  - fixes requirements on mutter (Closes: #586124)
  * debian/control.in:
  - Build-depend on glib >= 2.25.11-1 because we use glib-compile-schemas
  - Build-depend on gtk+ >= 2.21.1
  - Build-depend on gobject-introspection >= 0.6.15~git20100713-1 because
    we need newer glib bindings
  - Build-depend on gir1.0-json-glib-1.0 (Closes: #584660), thanks to
    Raphael Hertzog for pointing out the fix
  - gnome-shell depends on gir1.0-gconf-2.0 >= 2.31.5 to run
  * debian/patches/02_undo_gtk3_transition.diff:
  - undo gtk2->gtk3 migration since we do not yet have gtk+ 3 on Debian
  * debian/patches/03_fix_dconf_service_location.diff:
  - fix the path used to start dconf-service

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Tue, 13 Jul 2010 14:36:34 -0300

gnome-shell (2.31.2-1ubuntu2) maverick; urgency=low

  * No change upload to rebuild against new libgirepository soname

 -- Laurent Bigonville <bigon@ubuntu.com>  Sat, 14 Aug 2010 13:27:38 +0200

gnome-shell (2.31.2-1ubuntu1) maverick; urgency=low

  * debian/patches/02_workaround_libmozjs_build.patch:
    - workaround build issues due to libmozjs not being installed as a lib

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Jul 2010 17:35:48 +0200

gnome-shell (2.31.2-1) experimental; urgency=low

  * New upstream release
  - depends on mutter 2.31
  - includes debian/patches/02_gjs_build_fix.patch, so removing
  * debian/rules:
  - depends on clutter-1.0 >= 1.2.8

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Mon, 31 May 2010 11:03:29 -0300

gnome-shell (2.29.0-3) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/02_gjs_build_fix.patch:
    - Backport upstream commit to fix the build with recent gjs.
  * debian/source/format,
    debian/patches/series,
    debian/rules:
    - Convert to source format 3.0 (quilt).
  * debian/rules:
    - Include gnome-get-source.mk.

 -- Josselin Mouette <joss@debian.org>  Tue, 27 Apr 2010 22:32:21 +0200

gnome-shell (2.29.0-2) unstable; urgency=low

  * debian/control:
  - really fix #572718 by bumping the version in mutter's gir package name

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 15 Mar 2010 17:33:24 -0300

gnome-shell (2.29.0-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Don't install *.la.

  [ Gustavo Noronha Silva ]
  * New upstream development release.
  - should work with the newer mutter (Closes: #572718)

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 09 Mar 2010 18:11:05 -0300

gnome-shell (2.28.1~git20100129-1) unstable; urgency=low

  * New upstream snapshot.

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 29 Jan 2010 12:44:58 -0200

gnome-shell (2.28.1~git20091125-1) unstable; urgency=low

  * New upstream snapshot

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Wed, 25 Nov 2009 19:06:40 -0200

gnome-shell (2.28.1~git20091117-1) unstable; urgency=low

  * New upstream snapshot
  * debian/patches/02_allow_non_uri_apps.diff:
  - dropped; applied upstream
  * debian/upstream.gitlog, debian/rules:
  - ship upstream's git log as upstream changelog (Closes: #556354)

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Thu, 12 Nov 2009 12:02:52 -0200

gnome-shell (2.28.1~git20091112-1) unstable; urgency=low

  * New upstream snapshot

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Mon, 12 Nov 2009 10:43:05 -0200

gnome-shell (2.28.1~git20091028-2) unstable; urgency=low

  * debian/patches/01_favorite_apps.diff:
  - change the default favorite browser desktop file to be Epiphany's
    (Closes: #553054)
  * debian/control.in:
  - gnome-shell's startup script wants to run glxinfo to get information
    regarding the server's GLX support; thanks to alex bodnaru
    <alexbodn@012.net.il> for noticing this is needed
    (Closes: #553440)
  * debian/patches/02_allow_non_uri_apps.diff:
  - patch by Guido Günther <agx@sigxcpu.org> to drop the requirement that
    associated apps support URIs, for local files at least
    (Closes: #553618)

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Mon, 09 Nov 2009 15:32:14 -0200

gnome-shell (2.28.1~git20091028-1) unstable; urgency=low

  * New upstream snapshot
  * debian/control:
  - bump Standards-Version to 3.8.3
  - python is a dependency, since the script that starts GNOME Shell
    is a python script
  - pkg-config is also a dependency (Closes: #552202)

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Wed, 28 Oct 2009 16:12:13 -0200

gnome-shell (2.28.1~git20091024-1) unstable; urgency=low



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-shell
Section: gnome
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Gustavo Noronha Silva <kov@debian.org>, Josselin Mouette <joss@debian.org>
Build-Depends: cdbs,
               debhelper (>= 7),
               autotools-dev,
               gnome-pkg-tools (>= 0.11),
               intltool,
               libgjs-dev (>= 0.4-3),
               gvfs-backends,
               gobject-introspection (>= 0.6.15~git20100713),
               gir1.0-clutter-1.0,
               gir1.0-freedesktop,
               gir1.0-glib-2.0 (>= 0.6.15~git20100713),
               gir1.0-gtk-2.0,
               gir1.0-json-glib-1.0,
               gir1.0-mutter-2.31 (>= 2.31.2-3),
               gir-repository-dev,
               mutter (>= 2.31.5),
               libcroco3-dev (>= 0.6),
               libdbus-glib-1-dev,
               libgconf2-dev,
               libgirepository1.0-dev (>= 0.6.5),
               libglib2.0-dev,
               libglib2.0-bin (>= 2.25.11),
               libgnome-desktop-dev,
               libgnome-menu-dev,
               libgstreamer0.10-dev (>= 0.10.16),
               libgtk2.0-dev (>= 2.21.1),
               libstartup-notification0-dev,
               libmutter-dev (>= 2.31.0),
               librsvg2-dev,
               libwnck-dev,
               libclutter-1.0-dev (>= 1.2.8),
               libxfixes-dev,
               libxss-dev,
Standards-Version: 3.9.0
Homepage: http://live.gnome.org/GnomeShell

Package: gnome-shell
Architecture: any
Depends: ${gir:Depends},
         gir1.0-mutter-2.31,
         gir1.0-gconf-2.0 (>= 2.31.5),
         gir1.0-glib-2.0 (>= 0.6.15~git20100713),
         gjs,
         ${shlibs:Depends},
         ${misc:Depends},
         mutter (>= 2.31.5),
         python,
         xulrunner-1.9.2,
         mesa-utils
Recommends: xserver-xephyr
Description: graphical shell for the GNOME desktop
 The GNOME Shell redefines user interactions with the GNOME desktop.
 In particular, it offers new paradigms for launching applications,
 accessing documents, and organizing open windows in GNOME. Later, it
 will introduce a new applets eco-system and offer new solutions for
 other desktop features, such as notifications and contacts
 management. The GNOME Shell is intended to replace functions handled
 by the GNOME Panel and by the window manager in previous versions of
 GNOME. The GNOME Shell has rich visual effects enabled by new
 graphical technologies.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
	# Dirty hack to work-around dh_girepository limitation
	# Should we make it scan for typelib files everywhere?
	mkdir -p debian/gnome-shell/usr/lib/girepository-1.0
	cp debian/gnome-shell/usr/lib/gnome-shell/*typelib \
		debian/gnome-shell/usr/lib/girepository-1.0/
	# Also... hrm. What do we do regarding these other "private"
	# ones?
	cp /usr/lib/mutter/*typelib \
		debian/gnome-shell/usr/lib/girepository-1.0/
	dh_girepository -p$(cdbs_curpkg) -l src:/usr/lib/mutter/
	rm -rf debian/gnome-shell/usr/lib/girepository-1.0
	find debian/$(cdbs_curpkg) -name '*.la' -exec rm -f '{}' ';'

DEB_CONFIGURE_EXTRA_FLAGS += --enable-compile-warnings=yes

DEB_DH_MAKESHLIBS_ARGS_gnome-shell = -Xlibgnome-shell

DEB_INSTALL_CHANGELOGS_ALL = debian/upstream.gitlog

## gnome-shell 3.0.1

=== debian/changelog ===
gnome-shell (3.0.1-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * debian/control.in:
    - Bump priority to optional

  [ Sjoerd Simons ]
  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 14 May 2011 17:58:12 +0100

gnome-shell (3.0.0.2-1) experimental; urgency=low

  * Team upload.

  [ Frederic Peters ]
  * New upstream release (2.91.93).
  * debian/control.in:
    + added dependency on gnome-icon-theme-symbolic.
    + bumped gnome-shell dependency.
    + bumped gir1.2-freedesktop build-dep to 0.10.6, for a fix to
      cairo-1.0.typelib

  [ Raphaël Hertzog ]
  * New upstream release (3.0.0.2).
  * New patch 02_rpath-bluetooth-applet.patch by Rico Tzschichholz to
    add an RPATH so that the compilation doesn't fail when g-ir-scanner
    tries to analyze libgnome-shell.so linked against
    libgnome-bluetooth-applet.so.0 which is in a private directory.
  * Add a lintian override for the RPATH that we can't avoid.
  * Teach dpkg-shlibdeps how to find that private lib and add the
    corresponding dependency in debian/slibs.local.
  * Update and add a bunch of build-depends to match the latest configure
    requirements.
  * Add gir1.2-gnomebluetooth-1.0 and gir1.2-networkmanager-1.0 to Depends
    because they are needed to benefit from the improved UI associated to the
    respective status bar applet.

  [ Laurent Bigonville ]
  * debian/control.in: {Build-}Depends against gir1.2-mutter-3.0 instead of
    gir1.2-mutter-2.91

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 11 Apr 2011 21:03:31 +0000

gnome-shell (2.91.92-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/, remove patches from upstream git:
    + 0001-altTab-fix-incorrect-positioning-with-multiple-monit.patch
    + 05_use_dbus_for_shutdown_and_logout.patch
  * debian/control.in:
    + add build-dep on libtelepathy-logger-dev and gir1.2-telepathylogger-0.2.
    + bump build-dep on libxfixes-dev, it needs the one from experimental, for
      pointer barriers.

 -- Frederic Peters <fpeters@debian.org>  Thu, 24 Mar 2011 19:28:12 +0100

gnome-shell (2.91.91-2) experimental; urgency=low

  * debian/patches/04_gnome_session_quit.patch: remove, replaced by:
  * debian/patches/05_use_dbus_for_shutdown_and_logout.patch: use Session
    D-Bus interface for shutdown and logout. (from git) (closes: #618870)

 -- Frederic Peters <fpeters@debian.org>  Sat, 19 Mar 2011 13:10:02 +0100

gnome-shell (2.91.91-1) experimental; urgency=low

  * New upstream release.

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Depend on gsettings-desktop-schemas. Closes: #614945.
    + Depend on gir1.2-mutter-2.91. Closes: #615588.

  [ Frederic Peters ]
  * debian/control.in:
    + Don't depend on mutter, it now links against libmutter-wm0.
  * debian/patches/03_fix_dconf_service_location.patch: remove, no longer
    necessary now that gnome-shell is a real binary and doesn't try to arrange
    its own environment.
  * debian/patches/04_gnome_session_quit.patch: use gnome-session-save in
    fallback if gnome-session-quit doesn't work, so gnome-shell keeps working
    with older gnome-session versions.

  [ Emilio Pozuelo Monfort ]
  * d/p/0001-altTab-fix-incorrect-positioning-with-multiple-monit.patch:
    + Patch from upstream git, fix Alt+Tab with multiple monitors.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 16 Mar 2011 21:47:27 +0000

gnome-shell (2.91.90-1) experimental; urgency=low

  * New upstream release.
    + Build depend on libtelepathy-glib-dev for the updated Telepathy
      integration.
    + Build depend on libpolkit-agent-1-dev for the new authorization dialogs.
    + Build depend, and depend, on appropriate gir packages (polkit,
      telepathy, and upower).
    + Update build dep on libmutter-dev.
    + Update depends for new libgnomekbd gir package name.
    + Remove Recommends on xserver-xephyr.

 -- Frederic Peters <fpeters@debian.org>  Fri, 25 Feb 2011 12:23:23 +0100

gnome-shell (2.91.6-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Depend on gnome-control-center for My Account / System settings.

  [ Laurent Bigonville ]
  * New upstream release.
  * debian/control.in:
    - Bump build-dependencies
    - Add libecal1.2-dev, libedataserver1.2-dev and libedataserverui1.2-dev
      build-dependencies
    - Make mutter depends on libdconf0 | gsettings-backend instead of
      libdconf0 only

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Update for the new gtk+ 3 package names.
    + Add missing dependency on gir1.2-gnomekbd-3.0.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 16:45:48 +0000

gnome-shell (2.91.5-1) experimental; urgency=low

  * New upstream release.
    + debian/patches/02_fix_build_with_latest_gtk.patch:
      - Removed, fixed upstream.
    + debian/patches/01_favorite_apps.patch:
      - Refreshed.
    + debian/control.in:
      - Updated build dependencies.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jan 2011 23:41:41 +0000

gnome-shell (2.91.3-2) experimental; urgency=low

  * debian/control.in:
    - Build depend on libdconf0 for dconf-service. Closes: #595598.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 19 Dec 2010 16:36:11 +0000

gnome-shell (2.91.3-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * New upstream release (Closes: #605098, CVE-2010-4000).
    - debian/control.in:
      + Updated dependencies and build dependencies.
    - debian/patches/02_undo_gtk3_transition.diff:
      + Removed, let's use GTK+3 from now on.
    - debian/patches/03_fix_dconf_service_location.diff:
      + Updated.
  * debian/control.in,
    debian/rules:
    - Remove hack to get the typelibs scanned. Pass the private
      directory to dh_girepository instead. Update the minimum
      build dependency on gobject-introspection accordingly.
  * debian/control.in:
    - Build depend on gir1.2 packages.


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-shell
Section: gnome
Priority: optional
Maintainer: Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: cdbs,
               debhelper (>= 7),
               autotools-dev,
               gnome-pkg-tools (>= 0.11),
               intltool,
               libgjs-dev (>= 0.7.11),
               gvfs-backends,
               gobject-introspection (>= 0.10.1),
               gir1.2-atk-1.0 (>= 1.32),
               gir1.2-clutter-1.0 (>= 1.4),
               gir1.2-freedesktop (>= 0.10.6),
               gir1.2-glib-2.0 (>= 0.9),
               gir1.2-gtk-3.0,
               gir1.2-json-glib-1.0,
               gir1.2-mutter-3.0,
               gir1.2-polkit-1.0,
               gir1.2-telepathyglib-0.12,
               gir1.2-telepathylogger-0.2,
               gnome-bluetooth (>= 3.0.0),
               gsettings-desktop-schemas-dev (>= 0.1.7),
               libcroco3-dev (>= 0.6),
               libdbus-glib-1-dev,
               libgconf2-dev,
               libgirepository1.0-dev (>= 0.9),
               libglib2.0-dev (>= 2.25.9),
               libglib2.0-bin (>= 2.25.11),
               libgnome-bluetooth-dev (>= 3.0.0),
               libgnome-desktop-3-dev (>= 2.90.0),
               libgnome-menu-dev,
               libgstreamer0.10-dev (>= 0.10.16),
               libgtk-3-dev (>= 3.0.0),
               libnm-glib-dev (>= 0.8.995),
               libstartup-notification0-dev,
               libmutter-dev (>= 3.0.0),
               librsvg2-dev,
               libwnck-dev,
               libclutter-1.0-dev (>= 1.5.15),
               libxfixes-dev (>= 1:5.0),
               libxss-dev,
               libpulse-dev,
               libcanberra-dev,
               libecal1.2-dev (>= 2.32),
               libedataserver1.2-dev (>= 3.0.0),
               libedataserverui-3.0-dev (>= 3.0.0),
               libtelepathy-glib-dev (>= 0.13.12),
               libtelepathy-logger-dev (>= 0.2.4),
               libpolkit-agent-1-dev (>= 0.100)
Standards-Version: 3.9.1
Homepage: http://live.gnome.org/GnomeShell
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/gnome-shell
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/gnome-shell/

Package: gnome-shell
Architecture: any
Depends: ${gir:Depends},
         gjs (>= 0.7.11),
         ${shlibs:Depends},
         ${misc:Depends},
         libdconf0 | gsettings-backend,
         gnome-settings-daemon (>= 2.91.5.1),
         gnome-control-center (>= 2.91),
         gsettings-desktop-schemas (>= 0.1.7),
         gnome-icon-theme-symbolic (>= 2.91),
         gir1.2-gconf-2.0,
         gir1.2-gkbd-3.0,
         gir1.2-gnomebluetooth-1.0,
         gir1.2-mutter-3.0,
         gir1.2-networkmanager-1.0,
         gir1.2-polkit-1.0,
         gir1.2-upowerglib-1.0,
         gir1.2-telepathyglib-0.12,
         gir1.2-telepathylogger-0.2,
         python,
         pkg-config,
         mesa-utils
Description: graphical shell for the GNOME desktop
 The GNOME Shell redefines user interactions with the GNOME desktop.
 In particular, it offers new paradigms for launching applications,
 accessing documents, and organizing open windows in GNOME. Later, it
 will introduce a new applets eco-system and offer new solutions for
 other desktop features, such as notifications and contacts
 management. The GNOME Shell is intended to replace functions handled
 by the GNOME Panel and by the window manager in previous versions of
 GNOME. The GNOME Shell has rich visual effects enabled by new
 graphical technologies.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
	dh_girepository -p$(cdbs_curpkg) -l src -p /usr/lib/mutter \
		/usr/lib/gnome-shell
	find debian/$(cdbs_curpkg) -name '*.la' -exec rm -f '{}' ';'

DEB_CONFIGURE_EXTRA_FLAGS += --enable-compile-warnings=yes

DEB_DH_MAKESHLIBS_ARGS_gnome-shell = -Xlibgnome-shell
DEB_SHLIBDEPS_INCLUDE = /usr/lib/gnome-bluetooth

DEB_INSTALL_CHANGELOGS_ALL = debian/upstream.gitlog

=== debian/watch ===
version=3
http://download.gnome.org/sources/gnome-shell/([\d\.]+)/gnome-shell-(.*)\.tar\.gz

## gnome-shell 3.0.2

=== debian/changelog ===
gnome-shell (3.0.2-1svn2build1) oneiric; urgency=low

  * No-change rebuild against latest libedataserverui-3.0-1.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Wed, 13 Jul 2011 13:07:17 +0300

gnome-shell (3.0.2-1svn2) oneiric; urgency=low

  * No-change rebuild against libgnome-desktop-3-2.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 26 Jun 2011 10:28:18 +0200

gnome-shell (3.0.2-1svn1) oneiric; urgency=low

  Upload current Debian packaging svn head. No Ubuntu specific delta, thus
  keeping version number auto-syncable.

  * debian/control.in, debian/rules: When building on Ubuntu, add a dependency
    to gnome-icon-theme-full.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 24 Jun 2011 09:36:33 +0200

gnome-shell (3.0.2-1) experimental; urgency=low

  [ Rico Tzschichholz ]
  * New upstream release
  * debian/watch:
    - Look for bzip2 tarballs
  * debian/rules,debian/upstream.gitlog:
    - Drop upstream.gitlog which is outdated

  [ Josselin Mouette ]
  * Only recommend gnome-control-center.
  * Break gnome-control-center < 3. This time add the missing epoch.
    Closes: #628532.

  [ Sjoerd Simons ]
  * debian/rules: Fix misspelling of Recommends

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 31 May 2011 19:31:47 -0700

=== debian/control ===
--- 
+++ 
@@ -68,9 +68,9 @@
          ${misc:Depends},
          libdconf0 | gsettings-backend,
          gnome-settings-daemon (>= 2.91.5.1),
-         gnome-control-center (>= 2.91),
          gsettings-desktop-schemas (>= 0.1.7),
          gnome-icon-theme-symbolic (>= 2.91),
+         ${icon-theme:Depends},
          gir1.2-gconf-2.0,
          gir1.2-gkbd-3.0,
          gir1.2-gnomebluetooth-1.0,
@@ -83,6 +83,8 @@
          python,
          pkg-config,
          mesa-utils
+Recommends: gnome-control-center
+Breaks: gnome-control-center (<< 1:3.0)
 Description: graphical shell for the GNOME desktop
  The GNOME Shell redefines user interactions with the GNOME desktop.
  In particular, it offers new paradigms for launching applications,

=== debian/watch ===
version=3
http://download.gnome.org/sources/gnome-shell/([\d\.]+)/gnome-shell-(.*)\.tar\.bz2

## gnome-shell 3.2.0

=== debian/changelog ===
gnome-shell (3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream stable release.
    - Prevent the fallback on-screen keyboard from showing up while
      GNOME Shell is running.
    - Disable code to reposition windows around the on-screen keyboard;
      it wasn't finished or working properly.
    - Fix interaction between on-screen keyboard and notifications
    - Fix menu-sizing problems in right-to-left locales.
    - Update chat icons in the message tray when an avatar image changes
    - Fix problem with empty notification bubbles being left.
    - Fix problem with chat notifications bouncing when new messages come in.
    - Fix bug that was causing SIP calls to automatically be accepted in some
      circumstances.
    - Fix string that should have been marked translatable.
    - Fix a crash that could happen during CSS transitions.
    - Build fixes.
  * debian/control.in: Depend on caribou instead of gir-caribou-1.0
    (LP: #858109)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 28 Sep 2011 06:48:58 +0200

gnome-shell (3.1.92-0ubuntu1) oneiric; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
    - Adds browser plugin for installing, enabling, disabling, and
      uninstalling shell extensions. (Note that extensions.gnome.org
      isn't yet in operation.)
    - Lots of bugfixes
  * debian/control.in:
    - Depend on caribou libraries
    - Recommend gnome-session-fallback, needed when graphics support
      test fails (LP: #852950)
    - Bump minimum gjs dependency to 1.29.18 and minimum mutter 
      to 3.1.92
  * debian/patches/01_favorite_apps.patch: Updated
  * debian/patches/04_build-without-caribou.patch: Dropped

  [ Martin Pitt ]
  * debian/control.in: Add libjson-glib-dev build dependency as per
    configure.ac.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 22 Sep 2011 08:50:45 +0200

gnome-shell (3.1.90.1-0ubuntu4) oneiric; urgency=low

  * debian/control.in
    - Depend on gir1.2-accountsservice-1.0 since if it's missing,
      Shell won't even run (LP: #845791)
    - Also depend on libgudev-1.0-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 09 Sep 2011 13:19:30 -0400

gnome-shell (3.1.90.1-0ubuntu3) oneiric; urgency=low

  * debian/control.in: Add Recommends: cups-pk-helper. This isn't necessary
    under Unity, as we show/use system-config-printer there, but in the GNOME
    session control-center shows the upstream printer applet. This is a
    workaround for oneiric to avoid adding cups-pk-helper to main and the
    default install after FF. (LP: #844864)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 09 Sep 2011 17:54:50 +0200

gnome-shell (3.1.90.1-0ubuntu2) oneiric; urgency=low

  * debian/control.in:
    - Build-depends on libgnome-menu-3-dev, libgnome-keyring-dev,
      libfolks-dev
    - Bumped minimum versions for gobject-introspection and 
      libtelepathy-glib-dev build-depends

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 09 Sep 2011 00:04:55 -0400

gnome-shell (3.1.90.1-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/control: Bump build-depends on new mutter
  * debian/patches/01_favorite_apps.patch: Updated
  * debian/patches/03_remove-glx-dependency-on-armel.patch: Refreshed
  * debian/patches/04_build-without-caribou.patch
    - Build without caribou since Ubuntu uses onboard and our System 
      Settings doesn't support choosing a different screen keyboard yet

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2011 09:09:05 +0200

gnome-shell (3.1.4-0ubuntu2) oneiric; urgency=low

  * debian/patches/02_rpath-bluetooth-applet.patch:
    - Drop, it isn't needed with libgnome-bluetooth-dev (>= 3.1.0)
  * debian/patches/03_remove-glx-dependency-on-armel.patch:
    - Remove GLX dependency on armel
  * debian/control.in:
    - Drop Build-dep on mesa-common-dev [armel]

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 26 Aug 2011 08:49:11 +0200

gnome-shell (3.1.4-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/control:
    - Build-depends on mesa-common-dev [armel]
    - Depend on gir1.2-soup-2.4
    - Bump libclutter, libgirepository, libgnome-bluetooth and libnm-glib
      minimum versions
    - Drop some redundant dependencies
  * debian/patches/01_favorite_apps.patch: Updated
  * debian/patches/03_power_dbus_name_change.patch: Dropped, upstream

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 26 Aug 2011 02:46:22 +0200

gnome-shell (3.1.3-0ubuntu4) oneiric; urgency=low

  * debian/control.in
    - Bump build-depends on libgjs-dev & libtelepathy-glib-dev
    - Recommend gnome-themes-standard (for Adwaita)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 16 Aug 2011 23:24:00 -0400

gnome-shell (3.1.3-0ubuntu3) oneiric; urgency=low

  * debian/control.in: Add recommends to gnome-user-guide, so that installing
    Shell also pulls in the corresponding help. (LP: #819158)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 16 Aug 2011 10:26:20 +0200

gnome-shell (3.1.3-0ubuntu2) oneiric; urgency=low

  * debian/patches/03_power_dbus_name_change.patch: Backport upstream
    commit to fix the disappearing power indicator.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Thu, 11 Aug 2011 14:20:10 +0300

gnome-shell (3.1.3-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/control.in:
    - Update dependency versions

 -- Michael Terry <mterry@ubuntu.com>  Wed, 20 Jul 2011 14:46:28 -0400

gnome-shell (3.0.2-1ubuntu1) oneiric; urgency=low

  * debian/control{,.in}: Change gir1.2-json-glib-1.0 build-dep to 
    gir1.2-json-1.0 to reflect the binary rename in json-glib 
    0.13.4-2

 -- Micah Gersten <micahg@ubuntu.com>  Thu, 14 Jul 2011 08:59:59 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-shell
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: cdbs,
               debhelper (>= 7),
               autotools-dev,
               gnome-pkg-tools (>= 0.11),
               intltool,
               libgjs-dev (>= 1.29.18),
               gvfs-backends,
               gobject-introspection (>= 1.29.15),
               gir1.2-json-1.0,
               gnome-bluetooth (>= 3.1.0),
               gsettings-desktop-schemas-dev (>= 0.1.7),
               libcaribou-dev,
               libcroco3-dev (>= 0.6.2),
               libdbus-glib-1-dev,
               libgconf2-dev,
               libgirepository1.0-dev (>= 1.29.15),
               libglib2.0-dev (>= 2.25.9),
               libglib2.0-bin (>= 2.25.11),
               libgnome-bluetooth-dev (>= 3.1.0),
               libgnome-desktop-3-dev (>= 2.90.0),
               libgnome-keyring-dev,
               libgnome-menu-3-dev,
               libgstreamer0.10-dev (>= 0.10.16),
               libgtk-3-dev (>= 3.0.0),
               libgudev-1.0-dev,
               libnm-glib-dev (>= 0.8.999),
               libstartup-notification0-dev (>= 0.11),
               libmutter-dev (>= 3.1.92),
               librsvg2-dev,
               libwnck-dev,
               libclutter-1.0-dev (>= 1.7.5),
               libxfixes-dev (>= 1:5.0),
               libxss-dev,
               libpulse-dev,
               libcanberra-dev,
               libecal1.2-dev (>= 2.32),
               libedataserver1.2-dev (>= 3.0.0),
               libedataserverui-3.0-dev (>= 3.0.0),
               libfolks-dev (>= 0.5.2),
               libtelepathy-glib-dev (>= 0.15.5),
               libtelepathy-logger-dev (>= 0.2.4),
               libpolkit-agent-1-dev (>= 0.100),
               libjson-glib-dev (>= 0.13.2)
Standards-Version: 3.9.1
Homepage: http://live.gnome.org/GnomeShell

Package: gnome-shell
Architecture: any
Depends: ${gir:Depends},
         gjs (>= 1.29.18),
         ${shlibs:Depends},
         ${misc:Depends},
         caribou,
         libdconf0 | gsettings-backend,
         gnome-settings-daemon (>= 2.91.5.1),
         gsettings-desktop-schemas (>= 0.1.7),
         gnome-icon-theme-symbolic (>= 2.91),
         ${icon-theme:Depends},
         gir1.2-accountsservice-1.0,
         gir1.2-gconf-2.0,
         gir1.2-gkbd-3.0,
         gir1.2-gnomebluetooth-1.0,
         gir1.2-networkmanager-1.0,
         gir1.2-polkit-1.0,
         gir1.2-soup-2.4,
         gir1.2-upowerglib-1.0,
         python,
         pkg-config,
         mesa-utils
Recommends: gnome-control-center, gnome-user-guide, gnome-themes-standard, cups-pk-helper, gnome-session-fallback
Breaks: gnome-control-center (<< 1:3.0)
Description: graphical shell for the GNOME desktop
 The GNOME Shell redefines user interactions with the GNOME desktop.
 In particular, it offers new paradigms for launching applications,
 accessing documents, and organizing open windows in GNOME. Later, it
 will introduce a new applets eco-system and offer new solutions for
 other desktop features, such as notifications and contacts
 management. The GNOME Shell is intended to replace functions handled
 by the GNOME Panel and by the window manager in previous versions of
 GNOME. The GNOME Shell has rich visual effects enabled by new
 graphical technologies.

## gnome-shell 3.2.1

=== debian/changelog ===
gnome-shell (3.2.1-8ubuntu1) precise; urgency=low

  * Sync with Debian (LP: #877135). Remaining changes:
  * debian/control.in: Recommend gnome-user-guide
  * debian/gnome-shell.gsettings-override: Update for Ubuntu defaults
  * Watch for unstable releases

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Dec 2011 02:25:09 -0500

gnome-shell (3.2.1-8) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/control.in: Add Depends on telepathy-mission-control-5
    (Closes: #651514)

  [ Michael Biebl ]
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Dec 2011 06:34:55 +0100

gnome-shell (3.2.1-7) experimental; urgency=low

  * Fix version in Breaks/Replaces. Closes: #650927

 -- Michael Biebl <biebl@debian.org>  Sun, 04 Dec 2011 21:19:25 +0100

gnome-shell (3.2.1-6) experimental; urgency=low

  [ Raphaël Hertzog ]
  * Add Breaks against gnome-tweak-tool (<< 3.2) to force its upgrade to a
    version that works with GNOME 3.2.

  [ Josselin Mouette ]
  * Split common files and translations in gnome-shell-common. Add 
    appropriate Breaks/Replaces.

  [ Michael Biebl ]
  * debian/watch:
    - Track stable releases.
  * debian/patches/09-respect-NoDisplay-semantics-for-app-menu.patch:
    - Respect NoDisplay semantics for applications menu. This avoids duplicate
      menu entries when menu-xdg is installed. Closes: #649559

 -- Michael Biebl <biebl@debian.org>  Sat, 03 Dec 2011 17:23:39 +0100

gnome-shell (3.2.1-5) experimental; urgency=low

  * debian/patches/06-polkit-Find-the-best-user-to-authenticate-as.patch:
    + Added. When picking a user to authenticate with, try the current user
      first, then root and if all else fails the first user that is allowed to
      authenticate. (from upstream git)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 20 Nov 2011 22:28:42 +0000

gnome-shell (3.2.1-4) experimental; urgency=low

  * 05-NetworkMenu-don-t-query-DBus-properties-of-removed-o.patch:
    + Added. Don't (potentially) ask NM over D-Bus about an access point that
      was just removed. (From upstream git). As a side-effect this fixes
      gnome-shell freezing a while after unblacking.
  * 06-NetworkMenu-fix-regression-in-access-point-removed.patch
    + Added. Fix a regression in above patch (from upstream git)
  * 07-NetworkMenu-fix-logic-for-updating-wifi-icon.patch
    + Added. Fix the logic for connecting to the current wifi strength,
      prevents the network icon fro mbecoming stale (from upstream git)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 19 Nov 2011 15:28:19 +0000

gnome-shell (3.2.1-3) experimental; urgency=low

  [ Josselin Mouette ]
  * Break fglrx-driver (<< 1:11-10). Closes: #648280.

  [ Sjoerd Simons ]
  * debian/control.in: Recommend gnome-contacts
  * debian/control.in: Update build-depends on the e-d-s libs to ensure we
    build against the same version as the libfolks e-d-s backend.

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 13 Nov 2011 16:40:12 +0100

gnome-shell (3.2.1-2) experimental; urgency=low

  * debian/control.in:
    - Tighten Depends on gir1.2-mutter-3.0 and gir1.2-glib-2.0.
      Closes: #646999
    - Drop Build-Depends on libgnome-menu-dev.

 -- Michael Biebl <biebl@debian.org>  Sat, 05 Nov 2011 21:35:14 +0100

gnome-shell (3.2.1-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * New upstream release
  * debian/patches/00git-ShellRecorder-Use-cogl_read_pixels.patch:
    + Dropped, fixed upstream
  * debian/patches/03_hidden_applications.patch
    + Dropped, fixed upstream
  * debian/control.in: Add libfolks-dev build-depends
  * debian/control.in: Add depends on gir1.2-accountsservice-1.0 and
    gir1.2-caribou-1.0,

  [ Jeremy Bicha ]
  * debian/control.in:
    - Recommend gnome-session-fallback
    - Bump minimum gjs & gobject-introspection versions
    - Add gir1.2-soup-2.4 dependency

  [ Sjoerd Simons ]
  * debian/gnome-shell.lintian-overrides:
    + Updated (from Ubuntu). gnome-shell needs an rpath to find the private
      bluetooth lib

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 28 Oct 2011 22:20:04 +0200

gnome-shell (3.0.2-8) unstable; urgency=low

  * debian/patches/05_fix_glib_2.30_compat.patch:
    + Updated. Small mistake in the patch causes gnome-shell to fail to load
      the dim window shared, instead of which it just hangs. Fixed now..
      (Closes: 649459)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 21 Nov 2011 15:19:48 +0000

gnome-shell (3.0.2-7) unstable; urgency=low

  * debian/patches/06-polkit-Find-the-best-user-to-authenticate-as.patch:
    + Added. When picking a user to authenticate with, try the current user
    first, then root and if all else fails the first user that is allowed to
    authenticate. (from upstream git)
  * debian/patches/07-Add-some-element-type-annotations-to-appease-g-i-mas.patch:
    + Added. Add annotation to prevent warnings from new g-i (from upstream
      git)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 20 Nov 2011 22:04:39 +0000

gnome-shell (3.0.2-6) unstable; urgency=low

  * debian/patches/05_fix_glib_2.30_compat.patch:
    + Added. Fix compatibility with glib 2.30, which broke some things due to
      GI annotation changes. (From upstream git)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 19 Nov 2011 15:04:45 +0000

gnome-shell (3.0.2-5) unstable; urgency=low

  [ Michael Biebl ]
  * debian/rules:
    - Make network-manager and gnome-bluetooth (build) dependencies linux-any.

  [ Rico Tzschichholz ]
  * Add 00git-ShellRecorder-Use-cogl_read_pixels.patch to fix FTBFS on arm

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2011 17:22:55 +0200

gnome-shell (3.0.2-4) unstable; urgency=low

  [ Josselin Mouette ]
  * Break gnome-session < 3.

  [ Rico Tzschichholz ]
  * Add 04_remove-glx-dependency-on-armel.patch to fix FTBFS on arm

  [ Michael Biebl ]
  * Upload to unstable.
  * debian/watch: Switch to .xz tarballs.
  * debian/control.in:
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-shell
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: cdbs,
               debhelper (>= 8.1.3~),
               autotools-dev,
               gnome-pkg-tools (>= 0.11),
               intltool (>= 0.26),
               python (>= 2.5),
               libgstreamer0.10-dev (>= 0.10.16),
               libx11-dev,
               libclutter-1.0-dev (>= 1.5.15),
               libxfixes-dev,
               gobject-introspection (>= 1.29.15),
               libgirepository1.0-dev (>= 1.29.15),
               libgjs-dev (>= 1.29.18),
               libmutter-dev (>= 3.2.1),
               libgtk-3-dev (>= 3.2.0),
               libglib2.0-dev (>= 2.30.0),
               libecal1.2-dev (>= 2.32.0),
               libedataserver1.2-dev (>= 3.2.0),
               libedataserverui-3.0-dev (>= 3.2.0),
               libtelepathy-glib-dev (>= 0.15.5),
               libtelepathy-logger-dev (>= 0.2.4),
               libpolkit-agent-1-dev (>= 0.100),
               libdbus-glib-1-dev,
               libxml2-dev,
               libgconf2-dev,
               libstartup-notification0-dev,
               libcanberra-dev,
               libnm-glib-dev (>= 0.8.999) [linux-any],
               libcroco3-dev (>= 0.6),
               libgnome-desktop-3-dev (>= 2.90.0),
               libpulse-dev,
               gsettings-desktop-schemas-dev (>= 0.1.7),
               libgnome-bluetooth-dev (>= 2.90.0) [linux-any],
               gnome-bluetooth (>= 2.90.0) [linux-any],
               libfolks-dev (>= 0.5.2),
               libgnome-menu-3-dev,
               libgnome-keyring-dev
Standards-Version: 3.9.2
Homepage: http://live.gnome.org/GnomeShell
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/gnome-shell
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/gnome-shell/

Package: gnome-shell
Architecture: any
Depends: ${gir:Depends},
         gjs (>= 1.29.18),
         ${shlibs:Depends},
         ${misc:Depends},
         gnome-shell-common (= ${source:Version}),
         gnome-settings-daemon (>= 2.91.5.1),
         gsettings-desktop-schemas (>= 0.1.7),
         gnome-icon-theme-symbolic (>= 2.91),
         telepathy-mission-control-5,
         ${icon-theme:Depends},
         gir1.2-accountsservice-1.0,
         gir1.2-caribou-1.0,
         gir1.2-freedesktop,
         gir1.2-clutter-1.0,
         gir1.2-gconf-2.0,
         gir1.2-gkbd-3.0,
         gir1.2-gtk-3.0,
         gir1.2-glib-2.0 (>= 1.31),
         gir1.2-gnomebluetooth-1.0 [linux-any],
         gir1.2-mutter-3.0 (>= 3.2),
         gir1.2-networkmanager-1.0 [linux-any],
         gir1.2-pango-1.0,
         gir1.2-polkit-1.0,
         gir1.2-soup-2.4,
         gir1.2-telepathyglib-0.12,
         gir1.2-telepathylogger-0.2,
         gir1.2-upowerglib-1.0,
         python (>= 2.5)
Recommends: gnome-control-center,
            gnome-themes-standard,
            gnome-session-fallback,
            gnome-contacts,
            gnome-user-guide
Breaks: gnome-control-center (<< 1:3.0),
        gnome-session (<< 3.0),
        fglrx-driver (<< 1:11-10),
        gnome-tweak-tool (<< 3.2)
Description: graphical shell for the GNOME desktop
 The GNOME Shell redefines user interactions with the GNOME desktop.
 In particular, it offers new paradigms for launching applications,
 accessing documents, and organizing open windows in GNOME. Later, it
 will introduce a new applets eco-system and offer new solutions for
 other desktop features, such as notifications and contacts
 management. The GNOME Shell is intended to replace functions handled
 by the GNOME Panel and by the window manager in previous versions of
 GNOME. The GNOME Shell has rich visual effects enabled by new
 graphical technologies.

Package: gnome-shell-common
Architecture: all
Depends: ${misc:Depends}
Replaces: gnome-shell (<< 3.2.1-6)
Breaks: gnome-shell (<< 3.2.1-6),
        gnome-tweak-tool (<< 3.2)
Description: common files for the GNOME graphical shell
 This package contains translations and data files for the GNOME shell.

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,10 @@
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
+
+ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
+	DEB_DH_GENCONTROL_ARGS += -- -Vicon-theme:Depends=gnome-icon-theme-full
+endif
 
 $(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
 	dh_girepository -p$(cdbs_curpkg) -l src -p /usr/lib/mutter \
@@ -16,5 +20,3 @@
 
 DEB_DH_MAKESHLIBS_ARGS_gnome-shell = -Xlibgnome-shell
 DEB_SHLIBDEPS_INCLUDE = /usr/lib/gnome-bluetooth
-
-DEB_INSTALL_CHANGELOGS_ALL = debian/upstream.gitlog
